package com.ho.user.service;


import com.ho.business.vo.req.deviceModel.DeviceModelDeleteReqVo;
import com.ho.common.tools.entity.PageVO;
import com.ho.user.api.entity.PermStationRelation;
import com.ho.user.vo.req.StationPermissionReqVo;
import com.ho.user.vo.resp.StationPermissionRespVo;

import java.util.List;

/**
* @author yy
* @description 针对表【perm_station_relation】的数据库操作Service
* @createDate 2023-06-06 14:37:06
*/
public interface PermStationRelationService{
    // 增
    int insertSelective(PermStationRelation record);

    // 删
    int deleteByPrimaryKey(Integer id);

    // 改
    int updateByPrimaryKeySelective(PermStationRelation record);

    int updateByPrimaryKey(PermStationRelation record);

    // 根据电站ID查询
    List<PermStationRelation> selectByStationId(Integer stationId);

    List<PermStationRelation> selectByPermissionId(Integer permissionId);

    //批量删除
    void deleteBatch(List<Integer> ids);

    void update(PermStationRelation record);

    PermStationRelation detailInfo(Integer id);

   // PageVO<StationPermissionRespVo> pageInfo(StationPermissionReqVo vo);
}
